Name:           poweradmin
Version:        2.1.3
Release:        5%{?dist}
Summary:        A friendly web-based DNS administration tool for PowerDNS

Group:          Applications/Internet
License:        GPLv3
URL:            https://www.poweradmin.org
Source0:        https://www.poweradmin.org/download/%{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       httpd, pdns, php-pear(PEAR), php-pear-MDB2, php-pear-MDB2-Driver-mysql

%define pa_home %{_var}/www/html/poweradmin

%description
Poweradmin is a friendly web-based DNS administration tool for
Bert Hubert's  PowerDNS server. The interface has full support
for most of the features of PowerDNS. It has full support for
all zone types ( master,  native and  slave), for  supermasters
for automatic provisioning of slave zones, full support for IPv6
and comes with multi-language support. See feature list for all 
features. 


%prep
%setup -q


%build
# nothing to do here, move along ...


%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/inc
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/images
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/install
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/docs
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/locale
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/locale/en_EN
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/locale/en_EN/LC_MESSAGES
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/locale/nl_NL
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/locale/nl_NL/LC_MESSAGES
install -m 755 -d $RPM_BUILD_ROOT%{pa_home}/style
install -m 644 *.php $RPM_BUILD_ROOT%{pa_home}/
install -m 644 inc/*.php $RPM_BUILD_ROOT%{pa_home}/inc/
install -m 644 inc/config-me.inc.php $RPM_BUILD_ROOT%{pa_home}/inc/config.inc.php
install -m 644 install/*.php $RPM_BUILD_ROOT%{pa_home}/install/
install -m 644 docs/*.pot $RPM_BUILD_ROOT%{pa_home}/docs/
install -m 644 images/*.{png,gif,jpg} $RPM_BUILD_ROOT%{pa_home}/images/
install -m 644 docs/* $RPM_BUILD_ROOT%{pa_home}/docs/
install -m 644 locale/en_EN/LC_MESSAGES/* $RPM_BUILD_ROOT%{pa_home}/locale/en_EN/LC_MESSAGES/
install -m 644 locale/nl_NL/LC_MESSAGES/* $RPM_BUILD_ROOT%{pa_home}/locale/nl_NL/LC_MESSAGES/
install -m 644 style/*.php $RPM_BUILD_ROOT%{pa_home}/style/
install -m 644 robots.txt $RPM_BUILD_ROOT%{pa_home}/


%post
# If we're upgrading, remove the install directory 
# or else PowerAdmin won't function properly anymore.
if [ "$1" = 2 ]; then
    %{__rm} -rf %{pa_home}/install
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc docs/README docs/LICENSE docs/CHANGELOG
%dir %{pa_home}
%dir %{pa_home}/inc
%dir %{pa_home}/images
%dir %{pa_home}/docs
%dir %{pa_home}/locale
%dir %{pa_home}/locale/en_EN
%dir %{pa_home}/locale/en_EN/LC_MESSAGES
%dir %{pa_home}/locale/nl_NL
%dir %{pa_home}/locale/nl_NL/LC_MESSAGES
%dir %{pa_home}/style
%{pa_home}/*
%config(noreplace) %{pa_home}/inc/config.inc.php
%{pa_home}/inc/*
%{pa_home}/images/*
%{pa_home}/docs/*
%{pa_home}/locale/*
%{pa_home}/style/*


%changelog
* Mon Dec 14 2009 L.S. Keijser <keijser@stone-it.com> - 2.1.3-5
- don't install installation dir when upgrading
- copy default config file and mark as noreplace

* Sun Dec 13 2009 L.S. Keijser <keijser@stone-it.com> - 2.1.3-4
- fixed requirement (PEAR) error when upgrading

* Sun Dec 13 2009 L.S. Keijser <keijser@stone-it.com> - 2.1.3-3
- added requirement php-pear-MDB2

* Fri Dec 11 2009 L.S. Keijser <keijser@stone-it.com> - 2.1.3-2
- cleaned up files section a bit

* Fri Dec 11 2009 L.S. Keijser <keijser@stone-it.com> - 2.1.3-1
- initial release
